    /*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package mcts;

import tictactoecodingame.Coup;
import tictactoecodingame.Joueur;

/**
 *
 * @author Lloyd
 */
public class Util {
    
    public static Coup getMeilleurCoup(Noeud racine) {
        Noeud meilleurNoeud = new Noeud();
        double score;
        double meilleurScore = Integer.MIN_VALUE;
        for (Noeud enfant : racine.getListeEnfant()) {
            score = (double) enfant.getEtat().getNbVictoire() / (double) enfant.getEtat().getNbVisite();
            if (score > meilleurScore) {
                meilleurScore = score;
                meilleurNoeud = enfant;
            }
        }
        
        return meilleurNoeud.getEtat().getDernierCoup();
    }
    
    public static Joueur swapJoueur(Joueur currentJoueur, Joueur joueur1, Joueur joueur2) {
        if (currentJoueur == joueur1) {
                currentJoueur = joueur2;
            } else {
                currentJoueur = joueur1;
            }
        return currentJoueur;
    }    
}
